• Post Reply
  • Bookmark Topic Watch Topic
  • New Topic

Servlet 2.2

 
Savio Mascarenhas
Ranch Hand
Posts: 108
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi Guy's !!!
The original version on the system is JSDK2.0.
Have downloaded the class files for JSDK2.2. from http://java.sun.com/products/servlet/download.html and set the classpath for the same in autoexec.bat file and placed it in the folder c:\jsdk2,0\lib\servlet.jar .That is the in the same sub-folder in which jsdk.jar was originally placed on installation of jsdk2.0.
The servlet file uses methods from servlet 2.2 api which gets compiled.However,on execution it throws a NoSuchMethod error on methods that form part of the servlet 2.2 api .
Which are the additional settings that need to be done ?
Thanks Guy's !!!
 
William Brogden
Author and all-around good cowpoke
Rancher
Posts: 13064
6
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
I don't think it is possible to mix classes from the earlier servlet API with the latest one. There are just too many changes.
You should make a complete break from the old JSDK - Sun doesn't support it anyway.
Bill
------------------
author of:
 
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic